invite-history
curl --request GET \
--url https://api.jup.ag/send/v1/invite-history \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/send/v1/invite-history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jup.ag/send/v1/invite-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invites": [
{
"invite_signer": "7nE9GJoYHNmtaQvTQpota3KV2oz4pQ2dA6nvYK8EUJHV",
"invite_pda": "8mF4HKoPQNmtbRvTRqotb4LW3pz5rR3eB7owZL9FVKIW",
"sender": "BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV",
"expiry": "2025-03-22T10:30:00.000Z",
"amount": "1000000",
"creation_tx": "4xKpN2...",
"deletion_tx": "5yLqO3...",
"receiver": "9pG5ILqRSOnucCwUSRspuc5MV4pR4sD8fC8qxNL0GWJX",
"action": "claimed",
"creation_time": "2025-03-15T10:30:00.000Z",
"deletion_time": "2025-03-16T08:15:00.000Z",
"mint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"confirmed": true
}
],
"hasMoreData": false
}{
"error": "<string>"
}{
"error": "<string>"
}Send
Invite History
Request for the invite history of an address
GET
/
invite-history
invite-history
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
- Pubkey can be sender or recipient
- Pagination of response
Required range:
x >= 1Was this page helpful?
⌘I
